ArrayList
Date: 2016-06-24

java.util

## Class ArrayList

- java.lang.Object
- - java.util.AbstractCollection
  - - java.util.AbstractList
    - - java.util.ArrayList

- All Implemented Interfaces:
    Serializable, Cloneable, Collection, List, RandomAccess

      public class ArrayList
      extends AbstractList
      implements Serializable, Cloneable, List, RandomAccess

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayList()`
    `ArrayList(Collection var0)`
    `ArrayList(int var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `void` | `ensureCapacity(int var0)`
    `Object` | `get(int var0)`
    `int` | `size()`
    `void` | `trimToSize()`

    - ### Methods inherited from class java.util.AbstractList

      `add, addAll, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `add, addAll, equals, hashCode, indexOf, lastIndexOf, listIterator, listIterator, remove, set, subList`

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### ArrayList

          public ArrayList()

    - #### ArrayList

          public ArrayList(int var0)

    - #### ArrayList

          public ArrayList(Collection var0)

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### ensureCapacity

          public void ensureCapacity(int var0)

    - #### get

          public Object get(int var0)

      Specified by:
        `get` in interface `List`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection`

    - #### trimToSize

          public void trimToSize()